Issue 10099

Title
Too many cache miss with context
Priority
bug
Status
resolved
Nosy list
ced, nicoe, reviewbot, roundup-bot
Assigned to
ced
Keywords
review

Created on 2021-02-13.23:22:00 by ced, last changed 2 weeks ago by ced.

Messages

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-04-28.13:00:16

Please open new issue.

Author: [hidden] (nicoe) Tryton committer
Date: 2021-04-28.12:17:08

It seems to me that the session is also present in the context. I think it should be removed also.

Also I wonder if we shouldn't extend this reasoning to technical fields present in the context: _request, _check_access, etc.

New changeset 5c36491571e4 by Cédric Krier in branch '5.8':
Remove client key from the cache's context
https://hg.tryton.org/trytond/rev/5c36491571e4

New changeset fe7200d4170c by Cédric Krier in branch '5.6':
Remove client key from the cache's context
https://hg.tryton.org/trytond/rev/fe7200d4170c

New changeset f07a73976447 by Cédric Krier in branch '5.0':
Remove client key from the cache's context
https://hg.tryton.org/trytond/rev/f07a73976447
New changeset 4709caabe749 by Cédric Krier in branch 'default':
Remove client key from the cache's context
https://hg.tryton.org/tryton-env/rev/4709caabe749
New changeset 09751b1d7f91 by Cédric Krier in branch 'default':
Remove client key from the cache's context
https://hg.tryton.org/trytond/rev/09751b1d7f91
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-02-13.23:23:49

Here is review331891002. I think this should be back-ported because it degrading too much the cache.

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-02-13.23:21:59

Since issue7537 which added a unique client ID to the context, the caches that depends on context are almost always missed because the client key is unique (and so only call from the same client could hit).

History
Date User Action Args
2021-04-28 13:00:16cedsetmessages: + msg67040
status: chatting -> resolved
2021-04-28 12:17:08nicoesetmessages: + msg67039
nosy: + nicoe
status: resolved -> chatting
2021-03-16 00:47:58roundup-botsetkeyword: - backport
messages: + msg65548
2021-02-25 00:06:16roundup-botsetmessages: + msg64845
2021-02-25 00:06:06roundup-botsetmessages: + msg64844
nosy: + roundup-bot
status: testing -> resolved
2021-02-13 23:40:03reviewbotsetmessages: + msg64548
nosy: + reviewbot
2021-02-13 23:23:49cedsetkeyword: + backport, review
messages: + msg64546
reviews: 331891002
status: in-progress -> testing
2021-02-13 23:22:00cedcreate

Showing 10 items. Show all history (warning: this could be VERY long)